package cn.iocoder.yudao.module.order.vo.orderMutual;

import cn.iocoder.yudao.module.order.vo.order.OrderBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 订单互斥 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 订单互斥 Response VO")
public class OrderMutualBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("订单id")
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ExcelProperty("互斥订单id")
    @ApiModelProperty(value = "互斥订单id")
    private Long mutualOrderId;

    @ExcelProperty("互斥时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "互斥时间")
    private Date addTime;

    @ExcelProperty("创建人")
    @ApiModelProperty(value = "创建人")
    private String creator;

    @ExcelProperty("订单信息")
    @ApiModelProperty(value = "订单信息")
    private OrderBackVO orderBackVO;
}
